/*
 * Copyright (c) y2k Micha Moskal <malekith@topnet.pl>
 *
 * This file is part of libcftp - cftp protocol implementation.
 * CryptoFTP is free software. You can redistribute it and/or modify it under
 * the terms of the GNU Library General Public License (see COPYING.LGPL 
 * for details).
 *
 * $Id: cipher.c,v 1.1.1.1 2000/04/22 10:15:52 malekith Exp $
 */

#include "config.h"
#include "utils.h"
#include "cipher.h"

void init_ciphers()
{
	struct cipher *c;
	int i;
	
	for (i=0; ciphers[i].creator; i++) {
		c = ciphers[i].creator();
		ciphers[i].name = c->name;
		ciphers[i].disabled = c->disabled;
		c->free(c);
	}
}


struct cipher2 *find_cipher(const char *name)
{
	int i;
	
	for (i=0; ciphers[i].name; i++)
		if (strcmp(ciphers[i].name, name) == 0)
			break;
	return ciphers[i].name ? &ciphers[i] : 0;
}
