/*
 * Copyright (c) y2k Micha Moskal <malekith@topnet.pl>
 *
 * This file is part of libcftp - cftp protocol implementation.
 * CryptoFTP is free software. You can redistribute it and/or modify it under
 * the terms of the GNU Library General Public License (see COPYING.LGPL 
 * for details).
 *
 * $Id: sha.h,v 1.1.1.1 2000/04/22 10:15:53 malekith Exp $
 */

/* The SHA block size and message digest sizes, in bytes */
#define SHA_DATASIZE    64
#define SHA_DATALEN     16
#define SHA_DIGESTSIZE  20
#define SHA_DIGESTLEN    5
/* The structure for storing SHA info */

struct sha_ctx {
  u32 digest[SHA_DIGESTLEN];  /* Message digest */
  u32 count_l, count_h;       /* 64-bit block count */
  byte block[SHA_DATASIZE];     /* SHA data buffer */
  int index;                             /* index into buffer */
};

void sha_init(struct sha_ctx *ctx);
void sha_update(struct sha_ctx *ctx, byte *buffer, u32 len);
void sha_final(struct sha_ctx *ctx);
void sha_digest(struct sha_ctx *ctx, byte *s);
void sha_copy(struct sha_ctx *dest, struct sha_ctx *src);
